(function () {
    'use strict';

    app.collections.Application = Backbone.Collection.extend({
        initialize: function (options) {
            
        },
        games: [
            {'id': 1, 'cat': 1, 'title': 'Coup de coeur : Quinté 1'},
            {'id': 2, 'cat': 1, 'title': 'Coup de coeur : Quarté'},
            {'id': 3, 'cat': 1, 'title': 'Coup de coeur : Quinté 2'},
            {'id': 4, 'cat': 1, 'title': 'Coup de coeur : Tic 3'},
            {'id': 5, 'cat': 1, 'title': 'Coup de coeur : 2 sur 4'},
            {'id': 6, 'cat': 1, 'title': 'Coup de coeur : quinté 3'},
            {'id': 7, 'cat': 1, 'title': 'Coup de coeur : quinté 4'},
            {'id': 8, 'cat': 1, 'title': 'Coup de coeur : quinté 5'},
            {'id': 9, 'cat': 2, 'title': 'Balance : Tiercé 1'},
            {'id': 10, 'cat': 2, 'title': 'Balance : Tiercé 2'},
            {'id': 11, 'cat': 2, 'title': 'Balance : Quarté 1'},
            {'id': 12, 'cat': 2, 'title': 'Balance : Quarté 2'},
            {'id': 13, 'cat': 2, 'title': 'Balance : Quarté 3'},
            {'id': 14, 'cat': 2, 'title': 'Balance : Quinté'},
            {'id': 15, 'cat': 2, 'title': 'Balance : 2 sur 4'},
            {'id': 16, 'cat': 2, 'title': 'Balance : Tic 3 1'},
            {'id': 17, 'cat': 2, 'title': 'Balance : Tic 3 2'},
            {'id': 18, 'cat': 2, 'title': 'Balance : Tic 3 3'},
            {'id': 19, 'cat': 2, 'title': 'Scorpion : Tiercé 1'},
            {'id': 20, 'cat': 2, 'title': 'Scorpion : Tiercé 2'},
            {'id': 21, 'cat': 2, 'title': 'Scorpion : Quarté 1'},
            {'id': 22, 'cat': 2, 'title': 'Scorpion : Quarté 2'},
            {'id': 23, 'cat': 2, 'title': 'Scorpion : Quarté 3'},
            {'id': 24, 'cat': 2, 'title': 'Scorpion : Quinté'},
            {'id': 25, 'cat': 2, 'title': 'Scorpion : 2 sur 4'},
            {'id': 26, 'cat': 2, 'title': 'Scorpion : Tic 3 1'},
            {'id': 27, 'cat': 2, 'title': 'Scorpion : Tic 3 2'},
            {'id': 28, 'cat': 2, 'title': 'Scorpion : Tic 3 3'},
            {'id': 29, 'cat': 2, 'title': 'Sagitaire : Tiercé 1'},
            {'id': 30, 'cat': 2, 'title': 'Sagitaire : Tiercé 2'},
            {'id': 31, 'cat': 2, 'title': 'Sagitaire : Quarté 1'},
            {'id': 32, 'cat': 2, 'title': 'Sagitaire : Quarté 2'},
            {'id': 33, 'cat': 2, 'title': 'Sagitaire : Quarté 3'},
            {'id': 34, 'cat': 2, 'title': 'Sagitaire : Quinté'},
            {'id': 35, 'cat': 2, 'title': 'Sagitaire : 2 sur 4'},
            {'id': 36, 'cat': 2, 'title': 'Sagitaire : Tic 3 1'},
            {'id': 37, 'cat': 2, 'title': 'Sagitaire : Tic 3 2'},
            {'id': 38, 'cat': 2, 'title': 'Sagitaire : Tic 3 3'},
            {'id': 39, 'cat': 2, 'title': 'Capricorne : Tiercé 1'},
            {'id': 40, 'cat': 2, 'title': 'Capricorne : Tiercé 2'},
            {'id': 41, 'cat': 2, 'title': 'Capricorne : Quarté 1'},
            {'id': 42, 'cat': 2, 'title': 'Capricorne : Quarté 2'},
            {'id': 43, 'cat': 2, 'title': 'Capricorne : Quarté 3'},
            {'id': 44, 'cat': 2, 'title': 'Capricorne : Quinté'},
            {'id': 45, 'cat': 2, 'title': 'Capricorne : 2 sur 4'},
            {'id': 46, 'cat': 2, 'title': 'Capricorne : Tic 3 1'},
            {'id': 47, 'cat': 2, 'title': 'Capricorne : Tic 3 2'},
            {'id': 48, 'cat': 2, 'title': 'Capricorne : Tic 3 3'},
            {'id': 49, 'cat': 2, 'title': 'Verseau : Tiercé 1'},
            {'id': 50, 'cat': 2, 'title': 'Verseau : Tiercé 2'},
            {'id': 51, 'cat': 2, 'title': 'Verseau : Quarté 1'},
            {'id': 52, 'cat': 2, 'title': 'Verseau : Quarté 2'},
            {'id': 53, 'cat': 2, 'title': 'Verseau : Quarté 3'},
            {'id': 54, 'cat': 2, 'title': 'Verseau : Quinté'},
            {'id': 55, 'cat': 2, 'title': 'Verseau : 2 sur 4'},
            {'id': 56, 'cat': 2, 'title': 'Verseau : Tic 3 1'},
            {'id': 57, 'cat': 2, 'title': 'Verseau : Tic 3 2'},
            {'id': 58, 'cat': 2, 'title': 'Verseau : Tic 3 3'},
            {'id': 59, 'cat': 2, 'title': 'Poisson : Tiercé 1'},
            {'id': 60, 'cat': 2, 'title': 'Poisson : Tiercé 2'},
            {'id': 61, 'cat': 2, 'title': 'Poisson : Quarté 1'},
            {'id': 62, 'cat': 2, 'title': 'Poisson : Quarté 2'},
            {'id': 63, 'cat': 2, 'title': 'Poisson : Quarté 3'},
            {'id': 64, 'cat': 2, 'title': 'Poisson : Quinté'},
            {'id': 65, 'cat': 2, 'title': 'Poisson : 2 sur 4'},
            {'id': 66, 'cat': 2, 'title': 'Poisson : Tic 3 1'},
            {'id': 67, 'cat': 2, 'title': 'Poisson : Tic 3 2'},
            {'id': 68, 'cat': 2, 'title': 'Poisson : Tic 3 3'},
            {'id': 69, 'cat': 2, 'title': 'Bélier : Tiercé 1'},
            {'id': 70, 'cat': 2, 'title': 'Bélier : Tiercé 2'},
            {'id': 71, 'cat': 2, 'title': 'Bélier : Quarté 1'},
            {'id': 72, 'cat': 2, 'title': 'Bélier : Quarté 2'},
            {'id': 73, 'cat': 2, 'title': 'Bélier : Quarté 3'},
            {'id': 74, 'cat': 2, 'title': 'Bélier : Quinté'},
            {'id': 75, 'cat': 2, 'title': 'Bélier : 2 sur 4'},
            {'id': 76, 'cat': 2, 'title': 'Bélier : Tic 3 1'},
            {'id': 77, 'cat': 2, 'title': 'Bélier : Tic 3 2'},
            {'id': 78, 'cat': 2, 'title': 'Bélier : Tic 3 3'},
            {'id': 79, 'cat': 2, 'title': 'Taureau : Tiercé 1'},
            {'id': 80, 'cat': 2, 'title': 'Taureau : Tiercé 2'},
            {'id': 81, 'cat': 2, 'title': 'Taureau : Quarté 1'},
            {'id': 82, 'cat': 2, 'title': 'Taureau : Quarté 2'},
            {'id': 83, 'cat': 2, 'title': 'Taureau : Quarté 3'},
            {'id': 84, 'cat': 2, 'title': 'Taureau : Quinté'},
            {'id': 85, 'cat': 2, 'title': 'Taureau : 2 sur 4'},
            {'id': 86, 'cat': 2, 'title': 'Taureau : Tic 3 1'},
            {'id': 87, 'cat': 2, 'title': 'Taureau : Tic 3 2'},
            {'id': 88, 'cat': 2, 'title': 'Taureau : Tic 3 3'},
            {'id': 89, 'cat': 2, 'title': 'Gemeau : Tiercé 1'},
            {'id': 90, 'cat': 2, 'title': 'Gemeau : Tiercé 2'},
            {'id': 91, 'cat': 2, 'title': 'Gemeau : Quarté 1'},
            {'id': 92, 'cat': 2, 'title': 'Gemeau : Quarté 2'},
            {'id': 93, 'cat': 2, 'title': 'Gemeau : Quarté 3'},
            {'id': 94, 'cat': 2, 'title': 'Gemeau : Quinté'},
            {'id': 95, 'cat': 2, 'title': 'Gemeau : 2 sur 4'},
            {'id': 96, 'cat': 2, 'title': 'Gemeau : Tic 3 1'},
            {'id': 97, 'cat': 2, 'title': 'Gemeau : Tic 3 2'},
            {'id': 98, 'cat': 2, 'title': 'Gemeau : Tic 3 3'},
            {'id': 99, 'cat': 2, 'title': 'Cancer : Tiercé 1'},
            {'id': 100, 'cat': 2, 'title': 'Cancer : Tiercé 2'},
            {'id': 101, 'cat': 2, 'title': 'Cancer : Quarté 1'},
            {'id': 102, 'cat': 2, 'title': 'Cancer : Quarté 2'},
            {'id': 103, 'cat': 2, 'title': 'Cancer : Quarté 3'},
            {'id': 104, 'cat': 2, 'title': 'Cancer : Quinté'},
            {'id': 105, 'cat': 2, 'title': 'Cancer : 2 sur 4'},
            {'id': 106, 'cat': 2, 'title': 'Cancer : Tic 3 1'},
            {'id': 107, 'cat': 2, 'title': 'Cancer : Tic 3 2'},
            {'id': 108, 'cat': 2, 'title': 'Cancer : Tic 3 3'},
            {'id': 109, 'cat': 2, 'title': 'Lion : Tiercé 1'},
            {'id': 110, 'cat': 2, 'title': 'Lion : Tiercé 2'},
            {'id': 111, 'cat': 2, 'title': 'Lion : Quarté 1'},
            {'id': 112, 'cat': 2, 'title': 'Lion : Quarté 2'},
            {'id': 113, 'cat': 2, 'title': 'Lion : Quarté 3'},
            {'id': 114, 'cat': 2, 'title': 'Lion : Quinté'},
            {'id': 115, 'cat': 2, 'title': 'Lion : 2 sur 4'},
            {'id': 116, 'cat': 2, 'title': 'Lion : Tic 3 1'},
            {'id': 117, 'cat': 2, 'title': 'Lion : Tic 3 2'},
            {'id': 118, 'cat': 2, 'title': 'Lion : Tic 3 3'},
            {'id': 119, 'cat': 2, 'title': 'Vierge : Tiercé 1'},
            {'id': 120, 'cat': 2, 'title': 'Vierge : Tiercé 2'},
            {'id': 121, 'cat': 2, 'title': 'Vierge : Quarté 1'},
            {'id': 122, 'cat': 2, 'title': 'Vierge : Quarté 2'},
            {'id': 123, 'cat': 2, 'title': 'Vierge : Quarté 3'},
            {'id': 124, 'cat': 2, 'title': 'Vierge : Quinté'},
            {'id': 125, 'cat': 2, 'title': 'Vierge : 2 sur 4'},
            {'id': 126, 'cat': 2, 'title': 'Vierge : Tic 3 1'},
            {'id': 127, 'cat': 2, 'title': 'Vierge : Tic 3 2'},
            {'id': 128, 'cat': 2, 'title': 'Vierge : Tic 3 3'},
            {'id': 129, 'cat': 3, 'title': 'Balisier 1'},
            {'id': 130, 'cat': 3, 'title': 'Balisier 2'},
            {'id': 131, 'cat': 3, 'title': 'Balisier 3'},
            {'id': 132, 'cat': 3, 'title': 'Balisier 4'},
            {'id': 133, 'cat': 3, 'title': 'Anthurium 1'},
            {'id': 134, 'cat': 3, 'title': 'Anthurium 2'},
            {'id': 135, 'cat': 3, 'title': 'Anthurium 3'},
            {'id': 136, 'cat': 3, 'title': 'Anthurium 4'},
            {'id': 137, 'cat': 3, 'title': 'Anthurium 5'},
            {'id': 138, 'cat': 3, 'title': 'Anthurium 6'},
            {'id': 139, 'cat': 3, 'title': 'Alamanda 1'},
            {'id': 140, 'cat': 3, 'title': 'Alamanda 2'},
            {'id': 141, 'cat': 3, 'title': 'Alamanda 3'},
            {'id': 142, 'cat': 3, 'title': 'Alamanda 4'},
            {'id': 143, 'cat': 3, 'title': 'Alamanda 5'},
            {'id': 144, 'cat': 3, 'title': 'Alamanda 6'},
            {'id': 145, 'cat': 3, 'title': 'La joconde 1'},
            {'id': 146, 'cat': 3, 'title': 'La joconde 2'},
            {'id': 147, 'cat': 3, 'title': 'La joconde 3'},
            {'id': 148, 'cat': 3, 'title': 'La joconde 4'},
            {'id': 149, 'cat': 3, 'title': 'La joconde 5'},
            {'id': 150, 'cat': 3, 'title': 'Mona Lisa 1'},
            {'id': 151, 'cat': 3, 'title': 'Mona Lisa 2'},
            {'id': 152, 'cat': 3, 'title': 'Mona Lisa 3'},
            {'id': 153, 'cat': 3, 'title': 'Mona Lisa 4'},
            {'id': 154, 'cat': 4, 'title': 'Filao 1'},
            {'id': 155, 'cat': 4, 'title': 'Filao 2'},
            {'id': 156, 'cat': 4, 'title': 'Filao 3'},
            {'id': 157, 'cat': 4, 'title': 'Laurier 1'},
            {'id': 158, 'cat': 4, 'title': 'Laurier 2'},
            {'id': 159, 'cat': 4, 'title': 'Laurier 3'},
            {'id': 160, 'cat': 4, 'title': 'Glaeuil 1'},
            {'id': 161, 'cat': 4, 'title': 'Glaeuil 2'},
            {'id': 162, 'cat': 4, 'title': 'Glaeuil 3'},
            {'id': 163, 'cat': 4, 'title': 'Gentiane 1'},
            {'id': 164, 'cat': 4, 'title': 'Gentiane 2'},
            {'id': 165, 'cat': 4, 'title': 'Gentiane 3'},
            {'id': 166, 'cat': 4, 'title': 'Impatience 1'},
            {'id': 167, 'cat': 4, 'title': 'Impatience 2'},
            {'id': 168, 'cat': 4, 'title': 'Impatience 3'},
            {'id': 169, 'cat': 4, 'title': 'Jasmin 1'},
            {'id': 170, 'cat': 4, 'title': 'Jasmin 2'},
            {'id': 171, 'cat': 4, 'title': 'Jasmin 3'},
            {'id': 172, 'cat': 4, 'title': 'Flemboyant 1'},
            {'id': 173, 'cat': 4, 'title': 'Flemboyant 2'},
            {'id': 174, 'cat': 4, 'title': 'Flemboyant 3'},
            {'id': 175, 'cat': 4, 'title': 'Lavande 1'},
            {'id': 176, 'cat': 4, 'title': 'Lavande 2'},
            {'id': 177, 'cat': 4, 'title': 'Lavande 3'},
            {'id': 178, 'cat': 4, 'title': 'Orchidée 1'},
            {'id': 179, 'cat': 4, 'title': 'Orchidée 2'},
            {'id': 180, 'cat': 4, 'title': 'Orchidée 3'},
            {'id': 181, 'cat': 4, 'title': 'Alpinia 1'},
            {'id': 182, 'cat': 4, 'title': 'Alpinia 2'},
            {'id': 183, 'cat': 4, 'title': 'Alpinia 3'},
            {'id': 184, 'cat': 4, 'title': 'Rose porcelaine 1'},
            {'id': 185, 'cat': 4, 'title': 'Rose porcelaine 2'},
            {'id': 186, 'cat': 4, 'title': 'Rose porcelaine 3'},
            {'id': 187, 'cat': 4, 'title': 'Héliconia 1'},
            {'id': 188, 'cat': 4, 'title': 'Héliconia 2'},
            {'id': 189, 'cat': 4, 'title': 'Héliconia 3'},
            {'id': 190, 'cat': 4, 'title': 'Montjeu 1'},
            {'id': 191, 'cat': 4, 'title': 'Montjeu 2'},
            {'id': 192, 'cat': 4, 'title': 'Montjeu 3'},
            {'id': 193, 'cat': 4, 'title': 'Montjeu 4'},
            {'id': 194, 'cat': 4, 'title': 'Montjeu 5'},
            {'id': 195, 'cat': 4, 'title': 'Bellino II 1'},
            {'id': 196, 'cat': 4, 'title': 'Bellino II 2'},
            {'id': 197, 'cat': 4, 'title': 'Bellino II 3'},
            {'id': 198, 'cat': 4, 'title': 'Bellino II 4'},
            {'id': 199, 'cat': 4, 'title': 'Bellino II 5'},
            {'id': 200, 'cat': 4, 'title': 'Karcimont 1'},
            {'id': 201, 'cat': 4, 'title': 'Karcimont 2'},
            {'id': 202, 'cat': 4, 'title': 'Karcimont 3'},
            {'id': 203, 'cat': 4, 'title': 'Karcimont 4'},
            {'id': 204, 'cat': 4, 'title': 'Karcimont 5'},
            {'id': 205, 'cat': 4, 'title': 'Ourasi 1'},
            {'id': 206, 'cat': 4, 'title': 'Ourasi 2'},
            {'id': 207, 'cat': 4, 'title': 'Ourasi 3'},
            {'id': 208, 'cat': 4, 'title': 'Ourasi 4'},
            {'id': 209, 'cat': 4, 'title': 'Ourasi 5'},
            {'id': 210, 'cat': 5, 'title': 'Canelle Quarté 1'},
            {'id': 211, 'cat': 5, 'title': 'Canelle Quinté 1'},
            {'id': 212, 'cat': 5, 'title': 'Canelle Quarté 2'},
            {'id': 213, 'cat': 5, 'title': 'Canelle Quinté 2'},
            {'id': 214, 'cat': 5, 'title': 'Canelle Quarté 3'},
            {'id': 215, 'cat': 5, 'title': 'Canelle Quinté 3'},
            {'id': 216, 'cat': 5, 'title': 'Canelle Quarté 4'},
            {'id': 217, 'cat': 5, 'title': 'Canelle Quinté 4'},
            {'id': 218, 'cat': 5, 'title': 'Canelle Quarté 5'},
            {'id': 219, 'cat': 5, 'title': 'Canelle Quinté 5'},
            {'id': 220, 'cat': 5, 'title': 'Muscade Quarté 1'},
            {'id': 221, 'cat': 5, 'title': 'Muscade Quinté 1'},
            {'id': 222, 'cat': 5, 'title': 'Muscade Quarté 2'},
            {'id': 223, 'cat': 5, 'title': 'Muscade Quinté 2'},
            {'id': 224, 'cat': 5, 'title': 'Muscade Quarté 3'},
            {'id': 225, 'cat': 5, 'title': 'Muscade Quinté 3'},
            {'id': 226, 'cat': 5, 'title': 'Muscade Quarté 4'},
            {'id': 227, 'cat': 5, 'title': 'Muscade Quinté 4'},
            {'id': 228, 'cat': 5, 'title': 'Muscade Quarté 5'},
            {'id': 229, 'cat': 5, 'title': 'Muscade Quinté 5'},
            {'id': 230, 'cat': 5, 'title': 'Vanille Quarté 1'},
            {'id': 231, 'cat': 5, 'title': 'Vanille Quinté 1'},
            {'id': 232, 'cat': 5, 'title': 'Vanille Quarté 2'},
            {'id': 233, 'cat': 5, 'title': 'Vanille Quinté 2'},
            {'id': 234, 'cat': 5, 'title': 'Vanille Quarté 3'},
            {'id': 235, 'cat': 5, 'title': 'Vanille Quinté 3'},
            {'id': 236, 'cat': 5, 'title': 'Vanille Quarté 4'},
            {'id': 237, 'cat': 5, 'title': 'Vanille Quinté 4'},
            {'id': 238, 'cat': 5, 'title': 'Vanille Quarté 5'},
            {'id': 239, 'cat': 5, 'title': 'Vanille Quinté 5'},
            {'id': 240, 'cat': 5, 'title': 'Piment Quarté 1'},
            {'id': 241, 'cat': 5, 'title': 'Piment Quinté 1'},
            {'id': 242, 'cat': 5, 'title': 'Piment Quarté 2'},
            {'id': 243, 'cat': 5, 'title': 'Piment Quinté 2'},
            {'id': 244, 'cat': 5, 'title': 'Piment Quarté 3'},
            {'id': 245, 'cat': 5, 'title': 'Piment Quinté 3'},
            {'id': 246, 'cat': 5, 'title': 'Piment Quarté 4'},
            {'id': 247, 'cat': 5, 'title': 'Piment Quinté 4'},
            {'id': 248, 'cat': 5, 'title': 'Piment Quarté 5'},
            {'id': 249, 'cat': 5, 'title': 'Piment Quinté 5'},
            {'id': 250, 'cat': 5, 'title': 'Piment Quarté 6'},
            {'id': 251, 'cat': 5, 'title': 'Piment Quinté 6'}
        ],
        modules: {
            CDC: 1,
            ROQUEPINE: 2,
            QUOVADIS: 3,
            SASSAFRAS: 4,
            ASTRES: 5
        },
        //db: window.openDatabase('engains', '1.0', 'Engains DB', 10000000),
        getModule: function (module) {
            return _.filter(this.models, function (proposition) {
                return proposition.get('cat') === module;
            });
        },
        getFavorites: function () {
            
            return _.filter(this.models, function (proposition) {
                return proposition.get('fav') === true;
            });
        },
        isInError: function () {
            return this.models[0].get('error') || false;
        }
    });

}());
