(function () {
    'use strict';

    app.collections.Favorites = app.collections.Application.extend({
        localStorage: new Backbone.LocalStorage("favorites"),
        initialize: function (options) {
            
        },
        parse: function (response) {
            var that;

            that = this;

            response = that.games.map(function (v, i) {
                    var isFavorite = _.where(response, {id: v.id}).length > 0;
                    return _.extend({fav: isFavorite}, v);
                }
            );
            return response;
        }
    });

}());
