(function () {
    'use strict';
    app.helpers = {
        template: function (fn, id, data) {
            data = data || {};
            if (app.environnement === app.environnements.DEV) {
                var text = $('#' + id).html();
                var templateDot = doT.template(text, undefined, data);
                return templateDot(data);
            } else {
                return  render[fn](data);
            }
        },
        openUrl: function (url) {
            if(app.helpers.isAndroid()){
                navigator.app.loadUrl(url, {openExternal : true});                
            } else {
                window.open(url, "_system");
            }
        },
        getURLParameters: function () {
            var vars = {};
            var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function (m, key, value) {
                vars[key] = value;
            });
            return vars;
        },
        isIos: function () {
            return device.platform === 'iOS';
        },
        isAndroid: function () {
            return navigator.userAgent.match(/Android/);
        },
        adMob: {

            /*
             document.addEventListener('onReceiveAd', callback);
             document.addEventListener('onFailedToReceiveAd', callback);
             document.addEventListener('onDismissScreen', callback);
             document.addEventListener('onPresentScreen', callback);
             document.addEventListener('onLeaveApplication', callback);
             */
            addBanner: function () {
                var successCreateBannerView = function () {
                    admob.requestAd({'isTesting': false}, success, error);
                };
                var success = function () {
                };
                var error = function (message) {
                };

                var options = {
                    'publisherId': ((app.helpers.isAndroid()) ? 'ca-app-pub-5187818796141549/2885705116' : 'ca-app-pub-5187818796141549/8792637911'),
                    'adSize': admob.AD_SIZE.BANNER
                };
                admob.createBannerView(options, successCreateBannerView, error);
            },

            addInterstitial: function () {
                var successCreateBannerView = function () {
                    admob.requestAd({'isTesting': false}, success, error);
                };
                var success = function () {
                };
                var error = function (message) {
                };

                var options = {
                    'publisherId': ((app.helpers.isAndroid()) ? 'ca-app-pub-5187818796141549/4362438319' : 'ca-app-pub-5187818796141549/1269371113')
                };
                admob.createInterstitialView(options, successCreateBannerView, error);
            },

            killAd: function () {
                var success = function () {
                };
                var error = function (message) {
                };
                admob.killAd(success, error);
            }
        },
        addAds: function () {
            if (Math.random() > 0.5) {
                this.adMob.addInterstitial();
                this.adMob.addBanner();
            }
        },
        removeAds: function () {
            this.adMob.killAd();
        }
    };
}());