(function () {
    'use strict';

    app.collections.Results = app.collections.Application.extend({
        url: '',
        day: '',
        month: '',
        year: '',
        parse: function (data) {

            var that;

            that = this;

            if (!data.error) {
                data = data.map(function (v, i) {
                        return _.extend(that.games[i], v);
                    }
                );
            }

            return data;
        },
        getWinners: function () {
            return _.filter(this.models, function (proposition) {
                return proposition.get('result') !== '';
            });
        },
        setUrl:function(){
            this.url = 'http://www.engains.fr/app/results.php?jour=' + this.day + '&mois=' + this.month + '&annee=' + this.year + '&app=true';
        }
    });

}());
