(function () {
    'use strict';
    app.models.Application = Backbone.Model.extend({
        url: '',
        day: '',
        month: '',
        year: '',
        //db: window.openDatabase('engains', '1.0', 'Engains DB', 10000000),
        initialize: function () {
            var that;

            that = this;

            this.on('sync', function () {
                delete that.day;
                delete that.month;
                delete that.year;
            });
        },
        setUrl: function () {

            if (!this.day && !this.month && !this.year) {
                var d;
                d = new Date();
                this.day = d.getDate() < 10 ? '0' + d.getDate() : d.getDate();
                this.month = d.getMonth() + 1 < 10 ? '0' + (d.getMonth() + 1) : d.getMonth() + 1;
                this.year = d.getFullYear();
            }

            this.url = 'http://www.engains.fr/app/infos.php?jour=' + this.day + '&mois=' + this.month + '&annee=' + this.year + '&app=true';
        }
    });
})();