(function () {
    'use strict';

    app.views.About = app.views.Page.extend({
        pageName: 'about',
        sync: true,
        initialize: function (options) {
            // Extend events from parent
            _.extend(this.events, this.constructor.__super__.events);
            this._super();
        },
        events: {
            'click #btn-cgu': 'openCgu',
            'click #btn-faq': 'openFaq',
            'click #btn-contact': 'openContact',
            'click #btn-contact-send': 'doContact'
        },
        openCgu: function () {
            $('#popup-cgu').popup("open", {overlay: 'a'});
        },
        openFaq: function () {
            $('#popup-faq').popup("open", {overlay: 'a'});
        },
        openContact: function () {
            $('#popup-contact').popup("open", {'overlayTheme': 'a'});
        },
        doContact: function () {
            var $field_subject, $field_body;

            $field_subject = $('#contact-subject'),
                $field_body = $('#contact-body');

            window.open('mailto:apps@accessible-studio.com?subject=' + $field_subject.val() + '&body=' + $field_body.val());
        }
    });

}());