(function () {
    'use strict';

    app.views.Tickets = app.views.Page.extend({
        pageName: 'tickets',
        category: 'free',
        async: 1,
        initialize: function (options) {
            

            var that;

            that = this;

            this.category = options.category || this.category;


            this.listenTo(this.model, 'sync', function () {
                this.data.tickets = this.model.toJSON();
                that.changePage();
            });

            // Extend events from parent
            _.extend(this.events, this.constructor.__super__.events);

            this._super();
        },
        render: function () {

            this._super();

            this._showCategory();

            return this;
        }
    });
}());